<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('ojales', function (Blueprint $table) {
            $table->string('tipo')->nullable()->after('orden_produccion_id');
            $table->boolean('terminada')->default(false)->after('perdidas');
        });

        Schema::table('prensillas', function (Blueprint $table) {
            $table->string('tipo')->nullable()->after('orden_produccion_id');
            $table->boolean('terminada')->default(false)->after('perdidas');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ojales', function (Blueprint $table) {
            $table->dropColumn(['tipo', 'terminada']);
        });

        Schema::table('prensillas', function (Blueprint $table) {
            $table->dropColumn(['tipo', 'terminada']);
        });
    }
};
